IMPLEMENTATION MODULE FreeHandle;

(* Product: Incremental Storage Manager

   Version: 1.0

   Author:
        Daniel B. Hankins
        143 Montgomery Street
        Poughkeepsie, NY 12601
        dan-hankins@cup.portal.com

   Creation Date: 1989

   Release  Date: November 21, 1989

   Notice of Intellectual Property:
        This material is *NOT COPYRIGHTED*.  By this notice, I hereby place
   this program and all its parts in the public domain, under the definitions
   and restrictions of United States law.

   History of Revisions:
        None yet.
*)

TYPE
  Object           = POINTER TO FreeHandleObject;
  FreeHandleObject = Object;


PROCEDURE Next(FHObject: Object): Object;
BEGIN
  RETURN FHObject^;
END Next;


PROCEDURE NilObject(): Object;
BEGIN
  RETURN NIL;
END NilObject;


PROCEDURE Nil(FHObject: Object): BOOLEAN;
BEGIN
  RETURN (FHObject = NIL);
END Nil;


END FreeHandle.
